---

#! /cephfs/tmp/d20250205-1120240-15if77/kernel-selftests.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_cpu: 2
need_memory: 2G
kernel-selftests:
  group: pidfd
job_origin: kernel-selftests.yaml
queue: bisect
testbox: lkp-csl-d01
commit: d3238e8944e2bd1d6a006d35850e86fa80469751
branch: internal-eywa/master
kconfig: x86_64-dcg_x86_64_defconfig-kselftests
extend_kconfig: '1'
name: "/cephfs/tmp/d20250205-1120240-15if77/kernel-selftests.yaml"
kernel_cmdline:
tbox_group: lkp-csl-d01
job_file: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-pidfd-debian-12-x86_64-20240206.cgz-d3238e8944e2-20250224-987176-l7hnda-0.yaml"
id: 33e994eaa0d7a2c286d653080a2937cea838e4f9
queuer_version: "/zday/lkp"

#! /db/releases/20250131211710/lkp-src/hosts/lkp-csl-d01
model: Cascade Lake
nr_node: 1
nr_cpu: 36
memory: 32G
nr_ssd_partitions: 1
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part4"
brand: Intel(R) Core(TM) i9-10980XE CPU @ 3.00GHz
netconsole_port: 6685
ucode: '0x5003604'

#! /db/releases/20250131211710/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /db/releases/20250131211710/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20250131211710/lkp-src/programs/kernel-selftests/include
need_kernel_version:
need_kconfig:
- UTS_NS: "y"
- IPC_NS: "y"
- USER_NS: "y"
- PID_NS: "y"
- NET_NS: "y"
- CGROUPS: "y"
- CHECKPOINT_RESTORE: "y"
initrds:
- linux_headers
- linux_selftests
rootfs: debian-12-x86_64-20240206.cgz
enqueue_time: 2025-02-23 23:07:12.900014752 +08:00
compiler: gcc-12
_rt: "/result/kernel-selftests/pidfd/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/d3238e8944e2bd1d6a006d35850e86fa80469751"

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250222-092540"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/pidfd/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/d3238e8944e2bd1d6a006d35850e86fa80469751/0
- BOOT_IMAGE=/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/d3238e8944e2bd1d6a006d35850e86fa80469751/vmlinuz-6.13.0-rc1-00013-gd3238e8944e2
- branch=internal-eywa/master
- job=/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-pidfd-debian-12-x86_64-20240206.cgz-d3238e8944e2-20250224-987176-l7hnda-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-dcg_x86_64_defconfig-kselftests
- commit=d3238e8944e2bd1d6a006d35850e86fa80469751
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/d3238e8944e2bd1d6a006d35850e86fa80469751/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/d3238e8944e2bd1d6a006d35850e86fa80469751/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/d3238e8944e2bd1d6a006d35850e86fa80469751/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20250215.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-7ff71e6d9239-1_20250215.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20250131211710/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-pidfd-debian-12-x86_64-20240206.cgz-d3238e8944e2-20250224-987176-l7hnda-0.cgz"
last_kernel: 6.13.0-rc1-00004-g99d6af6e8a22
acpi_rsdp: '0x000f05b0'

#! queue options
queue_cmdline_keys:
- branch
- commit

#! user overrides
kernel: "/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/d3238e8944e2bd1d6a006d35850e86fa80469751/vmlinuz-6.13.0-rc1-00013-gd3238e8944e2"
result_root: "/result/kernel-selftests/pidfd/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/d3238e8944e2bd1d6a006d35850e86fa80469751/0"

#! /db/releases/20250222095235/lkp-src/include/site/inn
dequeue_time: 2025-02-24 03:25:10.191618058 +08:00
job_state: finished
loadavg: 4.86 1.52 0.53 2/445 2329
start_time: '1740338810'
end_time: '1740338811'
version: "/lkp/lkp/.src-20250222-092540:ce3f60bf80e2:d0c0c87cd733-dirty"
